  // מפת תעודות זהות לשמות
  var idToNameMap = {
    "000": "ישראל ישראלי",
    "101": "שמואל שמואלי",
    "102": "אברהם אברהמי",
  };

function getPointsTotal() {
    var xhr = new XMLHttpRequest();
    var tokenURL = "tokenYemot.php";

    xhr.onreadystatechange = function () {
        if (xhr.readyState === 4 && xhr.status === 200) {
            var token = xhr.responseText.trim();
            var url = "https://www.call2all.co.il/ym/api/RenderYMGRFile?token=077123456:123456&wath=ivr2:/Points/Split/points_total.ymgr&convertType=json&notLoadLang=1";
            
            var xhr2 = new XMLHttpRequest();
            xhr2.open("GET", url, true);
            xhr2.onreadystatechange = function () {
                if (xhr2.readyState === 4 && xhr2.status === 200) {
                    var response = JSON.parse(xhr2.responseText);
                    displayPointsTotal(response.data);
                } else {
                    console.error('אירעה בעיה בבקשה.');
                }
            };
            xhr2.send();
        }
    };
    xhr.open("GET", tokenURL, true);
    xhr.send();
}


  function displayPointsTotal(data) {
    data.sort(function(a, b) {
      return b.PointsTotalAll - a.PointsTotalAll;
    });

    var pointsContainer = document.getElementById('points-container');
    pointsContainer.innerHTML = '';

    var totalPoints = 0;

    data.forEach(function(item) {
      var id = item.id;
      var pointsTotalAll = item.PointsTotalAll;
      var difference = pointsTotalAll <= 2200 ? 2200 - pointsTotalAll : 0;
      var percentage = (pointsTotalAll / 2200) * 100;
      var percentageWidth = Math.min(percentage, 100);
      var name = idToNameMap[id] || id;

      totalPoints += parseInt(pointsTotalAll);

      var idContainer = document.createElement('div');
      idContainer.classList.add('id-container');

var idText = document.createElement('div');
var boldName = document.createElement('strong');
boldName.textContent = name;
idText.appendChild(document.createTextNode('הבחור החשוב '));
idText.appendChild(boldName);
idText.appendChild(document.createTextNode(' נ"י'));
var pointsText = document.createElement('div');
var boldPointsTotalAll = document.createElement('strong');
boldPointsTotalAll.textContent = pointsTotalAll;
pointsText.appendChild(document.createTextNode('אסף עד כה: '));
pointsText.appendChild(boldPointsTotalAll);
pointsText.appendChild(document.createTextNode(' שקלים'));
var differenceText = document.createElement('div');
var boldDifference = document.createElement('strong');
boldDifference.textContent = difference;
differenceText.appendChild(document.createTextNode('נותרו לו עוד: '));
differenceText.appendChild(boldDifference);
differenceText.appendChild(document.createTextNode(' שקלים כדי להגיע ליעד של 5555 שקלים'));

      var progressBarContainer = document.createElement('div');
      progressBarContainer.classList.add('progress-bar');

      var progressBarFill = document.createElement('div');
      progressBarFill.classList.add('progress-fill');
      progressBarFill.style.width = percentageWidth.toFixed(2) + '%';

      var progressText = document.createElement('div');
      progressText.classList.add('progress-text');
      progressText.textContent = percentage.toFixed(2) + '%';

      progressBarContainer.appendChild(progressBarFill);
      progressBarContainer.appendChild(progressText);

      idContainer.appendChild(idText);
      idContainer.appendChild(pointsText);
      idContainer.appendChild(differenceText);
      idContainer.appendChild(progressBarContainer);

      pointsContainer.appendChild(idContainer);
    });

    var totalPointsElement = document.getElementById('total-points');
    totalPointsElement.textContent = 'סך  כל התרומות: ' + totalPoints + ' שקלים';

    var missing = 350000 - totalPoints;
    var percentageOfGoal = (totalPoints / 350000) * 100;
    var missingText = document.getElementById('missing-points');
    missingText.textContent = 'חסר ליעד: ' + missing + ' שקלים';
    var percentageOfGoalText = document.getElementById('percentage-of-goal');

    var progressTotalFill = document.getElementById('progress-total-fill');
    var progressTotalText = document.getElementById('progress-total-text');
    progressTotalFill.style.width = percentageOfGoal.toFixed(2) + '%';
    progressTotalText.textContent = 'אחוז מתוך היעד: ' + percentageOfGoal.toFixed(2) + '%';
  }

  window.onload = function() {
    getPointsTotal();
    setInterval(getPointsTotal, 100000);
  };